diff --git a/src/test/modules/test_aio/t/001_aio.pl b/src/test/modules/test_aio/t/001_aio.pl
index c136d8ee8f5..ef4e5247e5b 100644
--- a/src/test/modules/test_aio/t/001_aio.pl
+++ b/src/test/modules/test_aio/t/001_aio.pl
@@ -813,7 +813,7 @@ SELECT invalidate_rel_block('tbl_ok', 2);
 		"first hard IO error is reported",
 		qq(SELECT count(*) FROM tbl_ok),
 		qr/^$/,
-		qr/ERROR:.*could not read blocks 2\.\.2 in file \"base\/.*\": Input\/output error/
+		qr!ERROR:.*could not read blocks 2\.\.2 in file "base/.*": (?:I/O|Input/output) error!
 	);
 
 	psql_like(
@@ -822,7 +822,7 @@ SELECT invalidate_rel_block('tbl_ok', 2);
 		"second hard IO error is reported",
 		qq(SELECT count(*) FROM tbl_ok),
 		qr/^$/,
-		qr/ERROR:.*could not read blocks 2\.\.2 in file \"base\/.*\": Input\/output error/
+		qr!ERROR:.*could not read blocks 2\.\.2 in file "base/.*": (?:I/O|Input/output) error!
 	);
 
 	$psql->query_safe(qq(SELECT inj_io_short_read_detach()));
